Benutzerhandbuch
Version 1.9 — Rev. 3

# Externe LSAPI-Anwendung

### Name

#### Beschreibung

Ein eindeutiger Name fuer diese externe Anwendung. Sie verweisen mit diesem Namen in anderen Teilen der Konfiguration auf sie.

### Adresse

#### Beschreibung

Eine eindeutige Socket-Adresse, die von der externen Anwendung verwendet wird. IPv4/IPv6-Sockets und Unix Domain Sockets (UDS) werden unterstuetzt. IPv4/IPv6-Sockets koennen fuer Kommunikation ueber das Netzwerk verwendet werden. UDS kann nur verwendet werden, wenn die externe Anwendung auf derselben Maschine wie der Server liegt.

#### Syntax

IPv4- oder IPV6-Adresse:Port oder UDS://Pfad

#### Beispiel

127.0.0.1:5434
UDS://tmp/lshttpd/php.sock.

#### Tipps

Security Wenn die externe Anwendung auf derselben Maschine laeuft, wird UDS bevorzugt. Wenn Sie einen IPv4|IPV6-Socket verwenden muessen, setzen Sie die IP-Adresse auf localhost oder 127.0.0.1, damit die externe Anwendung von anderen Maschinen nicht erreichbar ist.
Performance Unix Domain Sockets bieten im Allgemeinen hoehere Leistung als IPv4-Sockets.

### Max. Verbindungen

#### Beschreibung

Gibt die maximale Anzahl gleichzeitiger Verbindungen an, die zwischen dem Server und einer externen Anwendung hergestellt werden koennen. Diese Einstellung steuert, wie viele Anfragen eine externe Anwendung gleichzeitig verarbeiten kann; die tatsaechliche Grenze haengt jedoch auch von der externen Anwendung selbst ab. Ein hoeherer Wert hilft nicht, wenn die externe Anwendung nicht schnell genug ist oder nicht auf viele gleichzeitige Anfragen skalieren kann.

#### Syntax

Ganzzahl

#### Tipps

Performance Ein hoher Wert bedeutet nicht automatisch hoehere Leistung. Den Grenzwert so zu setzen, dass die externe Anwendung nicht ueberlastet wird, bietet die beste Leistung/den besten Durchsatz.

### Umgebung

#### Beschreibung

Gibt zusaetzliche Umgebungsvariablen fuer die externe Anwendung an.

#### Syntax

Key=value. Mehrere Variablen koennen mit "ENTER" getrennt werden

### Timeout fuer erste Anfrage (Sek.)

#### Beschreibung

Gibt die maximale Zeit in Sekunden an, die der Server wartet, bis die externe Anwendung auf die erste Anfrage ueber eine neu hergestellte Verbindung antwortet. Wenn der Server innerhalb dieses Timeout-Grenzwerts keine Daten von der externen Anwendung erhaelt, markiert er diese Verbindung als fehlerhaft. So lassen sich Kommunikationsprobleme mit externen Anwendungen moeglichst schnell erkennen. Wenn einige Anfragen laenger dauern, erhoehen Sie diesen Grenzwert, um 503-Fehlermeldungen zu vermeiden.

#### Syntax

Ganzzahl

### Wiederholungs-Timeout (Sek.)

#### Beschreibung

Gibt an, wie lange der Server wartet, bevor er eine externe Anwendung erneut versucht, bei der zuvor ein Kommunikationsproblem aufgetreten ist.

#### Syntax

Ganzzahl

### Persistente Verbindung

#### Beschreibung

Gibt an, ob die Verbindung nach der Verarbeitung einer Anfrage offen gehalten wird. Persistente Verbindungen koennen die Leistung erhoehen, aber einige externe FastCGI-Anwendungen unterstuetzen persistente Verbindungen nicht vollstaendig. Standard ist "On".

#### Syntax

Aus Optionsfeldern auswählen

### Keepalive-Timeout der Verbindung

#### Beschreibung

Gibt die maximale Zeit in Sekunden an, fuer die eine inaktive persistente Verbindung offen gehalten wird.
Bei "-1" laeuft die Verbindung nie ab. Bei 0 oder hoeher wird die Verbindung geschlossen, nachdem diese Zeit in Sekunden vergangen ist.

#### Syntax

Ganzzahl

### Antwortpufferung

#### Beschreibung

Gibt an, ob Antworten externer Anwendungen gepuffert werden. Wenn ein "nph-"-Skript (Non-Parsed-Header) erkannt wird, wird die Pufferung fuer Antworten mit vollstaendigen HTTP-Headern deaktiviert.

#### Syntax

Aus Dropdown-Liste auswählen

### Vom Server starten

#### Beschreibung

Gibt an, ob der Webserver die Anwendung automatisch starten soll. Nur FastCGI- und LSAPI- Anwendungen auf derselben Maschine koennen automatisch gestartet werden. Die IP in Adresse muss eine lokale IP sein. Der Start ueber LiteSpeed CGI Daemon statt ueber einen Hauptserverprozess hilft, Systemaufwand zu reduzieren.
Standardwert: Yes (Through CGI Daemon)

#### Syntax

Aus Dropdown-Liste auswählen

### Befehl

#### Beschreibung

Gibt die vollstaendige Befehlszeile einschliesslich Parametern zum Ausfuehren der externen Anwendung an. Erforderlich, wenn Vom Server starten aktiviert ist. Ein Parameter sollte in doppelte oder einfache Anfuehrungszeichen gesetzt werden, wenn er Leerzeichen oder Tabulatoren enthaelt.

#### Syntax

Vollstaendiger Pfad zur ausfuehrbaren Datei mit optionalen Parametern.

#### Siehe auch

Vom Server starten

### Backlog

#### Beschreibung

Gibt den Backlog des lauschenden Sockets an. Erforderlich, wenn Vom Server starten aktiviert ist.

#### Syntax

Ganzzahl

### Instanzen

#### Beschreibung

Gibt die maximale Anzahl von Instanzen der externen Anwendung an, die der Server erstellt. Dies ist erforderlich, wenn Vom Server starten aktiviert ist. Die meisten FastCGI/LSAPI-Anwendungen koennen nur eine Anfrage pro Prozessinstanz verarbeiten; fuer diese Anwendungen sollten die Instanzen dem Wert von Max. Verbindungen entsprechen. Einige FastCGI/LSAPI-Anwendungen koennen mehrere Kindprozesse starten, um mehrere Anfragen gleichzeitig zu verarbeiten. Fuer diese Anwendungen sollten die Instanzen auf "1" gesetzt und Umgebungsvariablen verwendet werden, um zu steuern, wie viele Kindprozesse die Anwendung starten kann.

#### Syntax

Ganzzahl

### Als Benutzer ausfuehren

#### Beschreibung

Die externe Anwendung wird unter diesem angegebenen Benutzernamen ausgefuehrt. Wenn nicht gesetzt, werden Einstellungen der Virtual-Host-Ebene geerbt.
Standardwert: Not Set

#### Syntax

Gueltiger Benutzername.

#### Siehe auch

extGroup

### Als Gruppe ausfuehren

#### Beschreibung

Die externe Anwendung wird unter diesem angegebenen Gruppennamen ausgefuehrt. Wenn nicht gesetzt, werden Einstellungen der Virtual-Host-Ebene geerbt.
Standardwert: Not Set

#### Syntax

Gueltiger Gruppenname.

#### Siehe auch

extUser

### umask

#### Beschreibung

Setzt die Standard-umask fuer die Prozesse dieser externen Anwendung. Siehe man 2 umask fuer Details. Der Standardwert wird aus der Server-Level-Einstellung umask uebernommen.

#### Syntax

Wert im gueltigen Bereich [000]-[777].

#### Siehe auch

CGI umask

### Beim Start ausfuehren

#### Beschreibung

Gibt an, ob die externe Anwendung beim Serverstart gestartet wird. Gilt nur fuer externe Anwendungen, die ihre eigenen Kindprozesse verwalten koennen und deren Instanzen-Wert auf "1" gesetzt ist.
Wenn aktiviert, werden externe Prozesse beim Serverstart statt zur Laufzeit erstellt.
Bei Auswahl von "Yes (Detached mode)" koennen alle losgeloesten Prozesse auf Server- oder Virtual-Host-Ebene neu gestartet werden, indem die Datei '.lsphp_restart.txt' unter $SERVER_ROOT/admin/tmp/ bzw. im Verzeichnis $VH_ROOT/ beruehrt wird.
Standardwert: Yes (Detached mode)

#### Syntax

Aus Optionsfeldern auswählen

#### Tipps

Performance Wenn der konfigurierte externe Prozess erheblichen Startaufwand hat, z. B. eine Rails-App, sollte diese Option aktiviert werden, um die Antwortzeit der ersten Seite zu verringern.

### Max. Leerlaufzeit

#### Beschreibung

Gibt die maximale Leerlaufzeit an, bevor eine externe Anwendung vom Server gestoppt wird und ungenutzte Ressourcen freigibt. Bei "-1" wird die externe Anwendung vom Server nicht gestoppt, ausser sie laeuft im ProcessGroup-Modus, in dem inaktive externe Anwendungen nach 30 Sekunden gestoppt werden.
Standardwert: -1

#### Syntax

Ganzzahl

#### Tipps

Performance Diese Funktion ist besonders in Massenhosting-Umgebungen nuetzlich, in denen viele verschiedene Anwendungen gleichzeitig im SetUID-Modus laufen, um zu verhindern, dass externe Anwendungsskripte eines virtuellen Hosts auf Dateien eines anderen virtuellen Hosts zugreifen. Setzen Sie diesen Wert niedrig, damit diese externen Anwendungen nicht unnoetig im Leerlauf bleiben.

### Prioritaet

#### Beschreibung

Gibt die Prioritaet des externen Anwendungsprozesses an. Werte reichen von -20 bis 20. Eine niedrigere Zahl bedeutet hoehere Prioritaet. Ein externer Anwendungsprozess kann keine hoehere Prioritaet als der Webserver haben. Wenn diese Prioritaet auf eine niedrigere Zahl als die des Servers gesetzt ist, wird die Prioritaet des Servers fuer diesen Wert verwendet.

#### Syntax

Ganzzahl

#### Siehe auch

Server Prioritaet

### Weiches Speicherlimit (Byte)

#### Beschreibung

Gibt das Speicherverbrauchslimit in Byte für einen externen Anwendungsprozess oder eine vom Server gestartete externe Anwendung an.
Der Hauptzweck dieses Limits ist es, übermäßige Speichernutzung durch Softwarefehler oder absichtliche Angriffe zu verhindern, nicht normalen Gebrauch zu begrenzen. Lassen Sie genug Spielraum, andernfalls kann Ihre Anwendung fehlschlagen und ein 503-Fehler zurückgegeben werden. Es kann auf Serverebene oder auf Ebene einer einzelnen externen Anwendung gesetzt werden. Das Limit auf Serverebene wird verwendet, wenn es auf Anwendungsebene nicht gesetzt ist.
Die Standardeinstellung des Betriebssystems wird verwendet, wenn der Wert auf beiden Ebenen fehlt oder auf 0 gesetzt ist.

#### Syntax

Ganzzahl

#### Tipps

Attention Passen Sie dieses Limit nicht übermäßig an. Dies kann zu 503-Fehlern führen, wenn Ihre Anwendung mehr Speicher benötigt.

### Hartes Speicherlimit (Byte)

#### Beschreibung

Ähnlich wie Weiches Speicherlimit (Byte), außer dass das weiche Limit innerhalb eines Benutzerprozesses bis zum harten Limit angehoben werden kann. Das harte Limit kann auf Serverebene oder auf Ebene einer einzelnen externen Anwendung gesetzt werden. Das Limit auf Serverebene wird verwendet, wenn es auf Anwendungsebene nicht gesetzt ist.
Der Standardwert des Betriebssystems wird verwendet, wenn der Wert auf beiden Ebenen fehlt oder auf 0 gesetzt ist.

#### Syntax

Ganzzahl

#### Tipps

Attention Passen Sie dieses Limit nicht übermäßig an. Dies kann zu 503-Fehlern führen, wenn Ihre Anwendung mehr Speicher benötigt.

### Weiches Prozesslimit

#### Beschreibung

Begrenzt die Gesamtzahl der Prozesse, die im Namen eines Benutzers erstellt werden koennen. Alle vorhandenen Prozesse werden gegen dieses Limit gezaehlt, nicht nur neu zu startende Prozesse.
Das Limit kann auf Serverebene oder auf Ebene einer einzelnen externen Anwendung gesetzt werden. Das Server-Level-Limit wird verwendet, wenn es auf Anwendungsebene nicht gesetzt ist. Der Standardwert des Betriebssystems wird verwendet, wenn dieser Wert auf beiden Ebenen 0 ist oder fehlt.

#### Syntax

Ganzzahl

#### Tipps

Information PHP-Skripte koennen Prozesse forken. Der Hauptzweck dieses Limits ist eine letzte Verteidigungslinie gegen Fork-Bombs und andere Angriffe, bei denen PHP-Prozesse weitere Prozesse erstellen.
Ein zu niedriger Wert kann die Funktionalitaet stark beeintraechtigen. Daher wird die Einstellung unterhalb bestimmter Schwellen ignoriert.
Wenn Run On Start Up auf "Yes (Daemon mode)" gesetzt ist, liegt das tatsaechliche Prozesslimit hoeher als diese Einstellung, damit Elternprozesse nicht begrenzt werden.

### Hartes Prozesslimit

#### Beschreibung

Ähnlich wie Weiches Prozesslimit, außer dass das weiche Limit innerhalb eines Benutzerprozesses bis zum harten Limit angehoben werden kann. Das harte Limit kann auf Serverebene oder auf Ebene einer einzelnen externen Anwendung gesetzt werden. Das Limit auf Serverebene wird verwendet, wenn es auf Anwendungsebene nicht gesetzt ist. Der Standardwert des Betriebssystems wird verwendet, wenn der Wert auf beiden Ebenen fehlt oder auf 0 gesetzt ist.

#### Syntax

Ganzzahl